### Method

# Gtk Actionableset_action_target

#### Declaration [src]

    void
    gtk_actionable_set_action_target (
      GtkActionable* actionable,
      const char* format_string,
      ...
    )

#### Description [src]

Sets the target of an actionable widget.

This is a convenience function that calls `g_variant_new()` for `format_string` and uses the result to call `gtk_actionable_set_action_target_value()`.

If you are setting a string-valued target and want to set the action name at the same time, you can use `gtk_actionable_set_detailed_action_name()`.

This method is not directly available to language bindings.

Sets property | `Gtk.Actionable:action-target`

#### Parameters

`format_string`

  Type: `const char*`

  A `GVariant` format string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Arguments appropriate for `format_string`.